<h1>{{title | uppercase}} - {{name}} - {{code}}</h1> <br />

<a [href]="url">Go to url</a> <br />

<button (click)="onBtnClick()" mat-raised-button color="primary">Click</button> <br />

<input [(ngModel)]="code">

<form #inputForm="ngForm" (submit)="onSubmit(inputForm)">
    <input name="code" ngModel required minlength="3" /> <br />
    <input name="name" ngModel maxlength="15" /> <br />
    <input type="submit" />Send
</form>

{{inputForm.value | json}} <br />
{{inputForm.valid}}

<h1>Reactive Form</h1>

<form [formGroup]="simple" (submit)="onSimpleSubmit()">
    <input formControlName="code" /> <br />
    <input formControlName="name" /> <br />
    <input type="submit" />Send
</form>

{{simple.value | json}} <br />
{{simple.valid}} <br />

<button (click)="toggle()">{{mode}}</button>
<div *ngIf="showContent">
    <h1>This is a content</h1>
</div>

<form [formGroup]="simpleValue" (submit)="onSimpleValueSubmit()">
    <input formControlName="text" />
    <input type="submit">Add Item
</form>

<ul [ngClass]="{'active': showContent}">
    <li *ngFor="let itm of list">{{itm}}</li>
</ul>

<p>{{price | number:'1.3'}}</p>
<p>{{currentDate | date:'dd/MM/y'}}</p>